View Issue Details

IDProjectCategoryView StatusLast Update
0006897VALENTINA STUDIOTool - SQL Editorpublic2014-08-27 14:13
Reporterdiddy Assigned ToSergey Pashkov  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMac OS OS Version10.9
Product Version5.5.4 
Target Version5.6Fixed in Version5.6 
Summary0006897: Ability to save back the SQL file
DescriptionCurrently there seems to be no way to save back to an existing SQL file in the Studio SQL Editor.
I'd like to see following functionality:

1) Open existing SQL file (that's currently possible)
2) Display name of the SQL file in tab
3) When I click on the save icon or process CMD+S then it should save back to the existing file.

Please note I've also added the path to the 'Allowed Locations' and this is still not working. In general, for saving SQL files, I would just prefer if I didn't have to specify all the paths for them in 'Allowed Locations' (maybe it is already like this ... but please clarify).
I seems to be possible to save files back with Save As, but this is cumbersome.
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

Sergey Pashkov

Sergey Pashkov

2014-07-15 08:16

developer   ~0007837

Currently there's no such mode in the SQL Editor.

'Allowed Locations' is another thing:
it is mostly for giving Valentina Studio an access to files after application restart and to allow creation of databases consisting of a few files (and/or journaled databases).
diddy

diddy

2014-07-15 08:25

reporter   ~0007838

Last edited: 2014-07-15 08:26

Ok, thanks a lot for your feedback. I've only recently downloaded Valentina Studio and at a first glance it looks quite good. I am mainly interested in writing SQL queries and saving them ... then maintaining them. So this functionality is quite essential to me. Is there a good chance that this gets implemented? I'd imagine that this is a quite simple thing to implement.

diddy

diddy

2014-08-20 20:36

reporter   ~0007896

Can you please let me know if there is any progress on this topic? This is one of the main reasons why I cannot use Valentina Studio on a daily basis for my work.
Ruslan Zasukhin

Ruslan Zasukhin

2014-08-23 16:07

administrator   ~0007898

hi,

we discuss here if we can implement it for next 5.6 release ...
It seems must be possible ...
Ruslan Zasukhin

Ruslan Zasukhin

2014-08-23 16:09

administrator   ~0007899

btw, have you see this feature in any other app?
if yes in which?
diddy

diddy

2014-08-23 16:10

reporter   ~0007900

Excellent! That would help a lot!
diddy

diddy

2014-08-23 16:18

reporter   ~0007901

Oh, yes, some of other SQL apps do this, i.e. Toad, SQLWorkbench/J etc. Maybe I didn't explain properly ... let me try again:

So I start writing my SQL query. Then I click on Save. I choose a location and save it. Then I add some more SQL queries to the same SQL editor tab and want to save it back to the same file. Then I click save, it again asks me where I want to save the file ... it should already know where I saved it before.

The same happens when you open a file. If you change something and click on save it asks you again where to save it.

This is the basic requirement.

As a bonus, I'd like to see the filename in the tab. Sometimes I have many SQL files open and I need some easy way to differentiate them.

I hope this makes sense ... let me know.
Ruslan Zasukhin

Ruslan Zasukhin

2014-08-23 16:26

administrator   ~0007902

yes, we understand idea.
to have kind of Text Editor working with few files.
diddy

diddy

2014-08-23 21:39

reporter   ~0007904

Yes, exactly. I store the SQL statements for a certain report or analysis in a dedicated file. Usually I improve these statements over time and save them back to the file.
Each morning I would normally have several files open and run them and copy the result set/output to an Excel spreadsheet.
Sergey Pashkov

Sergey Pashkov

2014-08-27 08:52

developer   ~0007906

Beta version which includes this feature was uploaded:
http://www.valentina-db.com/download/beta/5.6b20/mac_32/vstudio_5_mac.dmg
diddy

diddy

2014-08-27 09:50

reporter   ~0007907

Thanks a lot for providing the beta version!

Creating a new file and saving it back, changing it and saving it again works now fine. Also the filename is shown in the tab ... excellent!

1) The only issue I see right now is opening an existing Sql file. The only way this works is opening an Editor tab first, selecting the connection and then opening the file. If you know upfront that this is the approach then it is fine, but I think to new users that might not be that intuitive. Ideally, when opening a SQL file from the 'Open' dialog, it should ask for the db connection and then open it in a dedicated tab.

2) Another nice feature would be to be able to drag and drop files from Finder into Valentina Studio and it would open in a tab automatically (again ask for the DB connection upfront).

Do you think you can implement this as well?
Ruslan Zasukhin

Ruslan Zasukhin

2014-08-27 10:16

administrator   ~0007908

We have think about drag and drop also, but we decide delay this for 6.0,
which we develop now.

as you could here in 6.0 we do HUGE switch from WX to QT framework.
diddy

diddy

2014-08-27 10:30

reporter   ~0007909

Ok thanks for letting me know!

Issue History

Date Modified Username Field Change
2014-07-15 08:01 diddy New Issue
2014-07-15 08:16 Sergey Pashkov Note Added: 0007837
2014-07-15 08:16 Sergey Pashkov Severity minor => feature
2014-07-15 08:16 Sergey Pashkov Category Tool - Script Editor => Tool - SQL Editor
2014-07-15 08:16 Sergey Pashkov Summary Cannot save back the SQL file => Ability to save back the SQL file
2014-07-15 08:25 diddy Note Added: 0007838
2014-07-15 08:26 diddy Note Edited: 0007838
2014-08-20 20:36 diddy Note Added: 0007896
2014-08-23 16:07 Ruslan Zasukhin Note Added: 0007898
2014-08-23 16:07 Ruslan Zasukhin Target Version => 5.6
2014-08-23 16:09 Ruslan Zasukhin Note Added: 0007899
2014-08-23 16:10 diddy Note Added: 0007900
2014-08-23 16:18 diddy Note Added: 0007901
2014-08-23 16:26 Ruslan Zasukhin Note Added: 0007902
2014-08-23 21:39 diddy Note Added: 0007904
2014-08-25 16:40 Sergey Pashkov Status new => resolved
2014-08-25 16:40 Sergey Pashkov Fixed in Version => 5.6
2014-08-25 16:40 Sergey Pashkov Resolution open => fixed
2014-08-25 16:40 Sergey Pashkov Assigned To => Sergey Pashkov
2014-08-27 08:52 Sergey Pashkov Note Added: 0007906
2014-08-27 08:52 Sergey Pashkov Status resolved => feedback
2014-08-27 08:52 Sergey Pashkov Resolution fixed => reopened
2014-08-27 09:50 diddy Note Added: 0007907
2014-08-27 09:50 diddy Status feedback => assigned
2014-08-27 10:16 Ruslan Zasukhin Note Added: 0007908
2014-08-27 10:30 diddy Note Added: 0007909
2014-08-27 14:12 Ruslan Zasukhin Status assigned => resolved
2014-08-27 14:12 Ruslan Zasukhin Resolution reopened => fixed